ashmikuz Nov 22, 2012 @ 4:42am
TF2 and S3TC,
I know there is a discussion about this, but unfortunately i am not in the beta so I cannot comment on that thread. Anyway, the issue is that S3TC is a patented technology, so the library to use it is not included in most (any) distro. In order to make TF2 work, you have to install libtxc_dxtn (I use arch, there surely is a deb package for that) and run the steam client like this: "force_s3tc_enable=true steam". I also read that "export R600_ENABLE_S3TC=1" may be needed for r600 ati cards... If anyone reads that please post it to the closed beta discussion about this issue. I have tried the game today, and it's not so bad to be honest, but I seem to be unable to change my resolution. 1920x1080 seems to be too much for it to have decent framerates...
Showing 1-6 of 6 comments
< >
sortie Nov 22, 2012 @ 6:32am 
There appears to be a library called s2tc that claims to be a patent-free implementation of S2TC. Installing it solved my problems.
|TvM| Baggus /)(^3^)(\ Dec 8, 2012 @ 11:49pm 
For Ubuntu 12.04 users:

sudo yum install libtxc_dxtn.i686


worked for me! :D
Letalis Sonus Dec 9, 2012 @ 3:28am 
Originally posted by Sortie:
There appears to be a library called s2tc that claims to be a patent-free implementation of S2TC. Installing it solved my problems.
And within the Xorg-Edgers PPA it is even a hard dependency of Mesa. I don't know how the distributors see this, but it looks to me like this won't be an issue in the future.
Sargeras Dec 9, 2012 @ 3:48am 
Originally posted by baggus11:
For Ubuntu 12.04 users:

sudo yum install libtxc_dxtn.i686


worked for me! :D

Yum on ubuntu? Strange.
mikeym Dec 9, 2012 @ 3:56am 
For Ubuntu 12.04 (apparently):

sudo apt-get install libtxc-dxtn0

For Fedora (with rpmfusion repo installed):

sudo yum install libtxc_dxtn.i686
bandikoto Jan 18, 2013 @ 2:32pm 
On ubuntu, that would be this:

sudo apt-get install libtxc-dxtn-s2tc0

(although asking it to install libtxc-dxtn0 will get you the same result)

After TF2 starts, it will then suggest that you need to add a new repo in order to receive better video drivers.
Showing 1-6 of 6 comments
< >
Per page: 15 30 50
Date Posted: Nov 22, 2012 @ 4:42am
Posts: 6